org.apache.hadoop.metrics2.lib

## Class MutableCounterInt

- java.lang.Object
- - org.apache.hadoop.metrics2.lib.MutableMetric
  - - org.apache.hadoop.metrics2.lib.MutableCounter
    - - org.apache.hadoop.metrics2.lib.MutableCounterInt

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class MutableCounterInt
      extends MutableCounter

  A mutable int counter for implementing metrics sources

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `incr()` Increment the metric value by 1.
    `void` | `incr(int delta)` Increment the value by a delta
    `void` | `snapshot(MetricsRecordBuilder builder, boolean all)` Get a snapshot of the metric
    `int` | `value()`

    - ### Methods inherited from class org.apache.hadoop.metrics2.lib.MutableCounter

      `info`

    - ### Methods inherited from class org.apache.hadoop.metrics2.lib.MutableMetric

      `changed, clearChanged, setChanged, snapshot`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### incr

          public void incr()

      Description copied from class: `MutableCounter`
      Increment the metric value by 1.
      Specified by:
        `incr` in class `MutableCounter`

    - #### incr

          public void incr(int delta)

      Increment the value by a delta
      Parameters:
        `delta` - of the increment

    - #### value

          public int value()

    - #### snapshot

          public void snapshot(MetricsRecordBuilder builder,
                               boolean all)

      Description copied from class: `MutableMetric`
      Get a snapshot of the metric
      Specified by:
        `snapshot` in class `MutableMetric`
      Parameters:
        `builder` - the metrics record builder
        `all` - if true, snapshot unchanged metrics as well

Copyright © 2022 Apache Software Foundation. All rights reserved.